=== debian/changelog ===
ocaml-batteries (1.2.2-1build2) oneiric; urgency=low

  * Rebuild to pick up ocaml fixes on armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Aug 2011 16:34:42 -0600

ocaml-batteries (1.2.2-1build1) oneiric; urgency=low

  * Rebuild for OCaml 3.12.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 May 2011 00:59:44 +0100

ocaml-batteries (1.2.2-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * Add 0002-Fix-build-with-OCaml-3.12.0.patch (Closes: #586493)

  [ Mehdi Dogguy ]
  * New upstream release
    - Add 0001-Add-Set-an-installation-prefix-path.patch
    - Add 0003-Do-not-enforce-sanity-check-rules.patch
    - Remove omake from build-depends
  * Adapt debian/rules to new upstream's build system.
  * Convert source package to 3.0 (quilt) format.
    - Remove quilt from build-depends
  * Bump dh-ocaml version to 0.9.5 in Build-Depends.
  * Update libbatteries-ocaml-doc.doc-base
  * Bump standards version to 3.9.0, no changes needed.

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 14 Jul 2010 23:31:15 +0200

ocaml-batteries (1.1.0-2) unstable; urgency=low

  * Add myself to Uploaders (and remove Zack as he asked).
  * Fix configuration of Batteries (Closes: #578671).
  * Bump ocaml version in build-dependencies to (>= 3.11.1-3~) and
    dh-ocaml (>= 0.9~).
  * Bump quilt version to (>= 0.46-7~).
  * Add a debian/source/format (keep 1.0 for now).
  * Fix binary-control-field-duplicates-source

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 03 Jun 2010 13:57:15 +0200

ocaml-batteries (1.1.0-1) unstable; urgency=low

  * New upstream release
    - major changes, "diet" version of the library
    - fix old FTBFS error, due to major code changes (Closes: #569455)
  * Revamp packaging
    - adapt to new stuff shipped by upstream
    - switch from CDBS to dh
    - adapt dependencies (generally: reduce them)
  * debian/patches/
    - remove old debian/patches/{debian-specific-installation-paths,
      debian-specific-info-on-doc-availability} as obsolete
    - new patch 0001-install-fix-for-bytecode-only-build: avoid
      installing *.a files with bytecode only compilation
  * debian/libbatteries-ocaml-dev.links: remove file, shortend
    /usr/bin/ocaml-batteries to the top-level no longer exists
  * remove debian/README.Debian (previous content is now obsolete)
  * bump Standards-Version to 3.8.4 (no changes needed)
  * debian/watch: update to match new upstream version convention
  * debian/libbatteries-ocaml-{dev,doc}.{docs,examples}: ship only doc
    file from the root dir, other stuff is currently out of date
    (Closes: #514265)

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 06 Mar 2010 16:03:38 +0100

ocaml-batteries (0.20090405+beta1-5) unstable; urgency=low

  * debian/control: add explicit dep on libbin-prot-camlp4-dev, it is a
    needed CamlP4 dep, not inferrable by dh_ocaml (Closes: #557538)

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 25 Nov 2009 13:11:18 +0100

ocaml-batteries (0.20090405+beta1-4) unstable; urgency=low

  * Get rid of TopGit for packaging, use dom-{save,apply}-patches to
    manage quilt series. Document that in README.source. Patch names are
    now as follows:
    - 0001-debian-specific-installation-paths
    - 0002-debian-specific-info-on-doc-availability
  * debian/control: clean up non-automatic OCaml deps, now that all
    build-deps have been ported to recent dh-ocaml
  * rebuild against recent sexplib, bump build-dep accordingly
    (Closes: #556034)
  * add debian/gbp.conf to enforce pristine-tar usage with gbp

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 14 Nov 2009 13:03:57 +0100

ocaml-batteries (0.20090405+beta1-3) unstable; urgency=low

  * debian/control
    - bump Standards-Version to 3.8.3 (no changes needed)
    - use dh-ocaml to infer/provide dependencies, keep hand-written
      dependencies for the interim; bump build-dep on dh-ocaml to 0.9
    - clean up wrong relationships on -doc package: remove ${shlibs:Depends}
      and bogus Provides on -camlp4-dev and metapackage
  * debian/rules
    - switch {debhelper,patchsys-quilt}.mk: fix debian/*.log cleanup
    - stop using ocamldoc-api-ref-config (gone now), rather ship a
      hand-written doc-base entry (Closes: #549795)

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 07 Oct 2009 10:51:36 +0200

ocaml-batteries (0.20090405+beta1-2) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * debian/control: drop deps from the -doc package to ocaml-nox-@ABI@ (it
    had no reason to exist and hindered binNMU-ability)
  * rebuild against OCaml 3.11.1 for the transition
  * debian/control: bump Standards-Version to 3.8.2 (no changes needed)

  [ Stephane Glondu ]
  * Use new location of ocamldoc-api-ref-config

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 10 Jul 2009 15:47:10 +0200

ocaml-batteries (0.20090405+beta1-1) unstable; urgency=low

  * new upstream release, 1.0 beta 1
  * debian/rules:
    - set archive sections to "ocaml" for lib*ocaml*
    - avoid building doc on bynary-only builds
    - ensure ocamlfind uses bytecode ocamldoc, because dynamic loading
      of native code printers does not work (yet)
  * README.Debian: point to batteries-enabled command wrappers
  * debian/control:
    - add ${misc:Depends} to ocaml-batteries-included
    - add missing dep: libbatteries-ocaml-dev -> libocamlnet-ocaml-dev

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 05 Apr 2009 17:14:47 +0200

ocaml-batteries (0.20090401+gitE192725-1) unstable; urgency=low

  * new snapshot, upstream Git commit E192725
    - includes all changes of batteries approaching beta 1
  * uploading to unstable
  * debian/patches/
    - new patch debian/libdir which set Debian-specific installation
      paths used at runtime by batteries wrappers
  * debian/rules:
    - pass -byte-plugin to ocamlbuild when ocamlopt is not
      available, fixes FTBFS on non-native archs. (Closes: #505490)
    - use ocaml.mk as a CDBS "rules" snippet
    - use tg2quilt.mk snippet (shipped by topgit) to generated patches

