=== debian/changelog ===
ocaml-batteries (1.4.1-1build1) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 16:59:03 +0000

ocaml-batteries (1.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 04 Nov 2011 09:10:42 +0100

ocaml-batteries (1.2.2-2) unstable; urgency=low

  * Team upload
  * Fix build with camomile 0.8.3 (Closes: #636024)
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 12 Aug 2011 07:37:39 +0200
