=== debian/changelog ===
ocaml-batteries (1.4.3-1) unstable; urgency=low

  * New upstream release (Closes: 668027)
    - add 0002-Use-mirror-of-ocaml-tutorial.org-which-is-dead.patch
    - add 0003-Fix-doc-batteries-html-extensions.html.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 05 Jun 2012 22:51:41 +0200
