=== debian/control ===
Source: ocaml-batteries
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Mehdi Dogguy <mehdi@debian.org>
Build-Depends:
 debhelper (>= 7.0.50),
 ocaml-nox (>= 3.11.1-3~),
 camlp4, camlp4-extra,
 ocaml-findlib (>= 1.2.5),
 libcamomile-ocaml-dev (>= 0.8),
 libounit-ocaml-dev,
 dh-ocaml (>= 0.9.5~)
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-batteries.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-batteries.git
Homepage: http://batteries.forge.ocamlcore.org

Package: libbatteries-ocaml-dev
Architecture: any
Depends:
 ocaml-findlib,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: libbatteries-ocaml-doc
Suggests: ledit
Provides:
 libbatteries-camlp4-dev,
 ${ocaml:Provides}
Description: Batteries included: OCaml development platform - development files
 Batteries included is a community-driven effort to standardize on an
 uniform, documented, and comprehensive OCaml development platform.
 .
 Batteries included serves the following purposes:
  * define a standard set of libraries which may be expected on every
    compliant installation of OCaml
  * organize these libraries into a hierarchy of modules, with one
    source of documentation
  * define a standard set of language extensions which may be expected
    on every compliant installation of OCaml
  * provide a consistent API for otherwise independent libraries.
 .
 This package contains the core part of batteries included: libraries
 and language extensions for the OCaml language. Using this package
 you can develop OCaml programs built on top of batteries included.

Package: libbatteries-ocaml-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Batteries included - OCaml development platform - documentation
 Batteries included is a community-driven effort to standardize on an
 uniform, documented, and comprehensive OCaml development platform.
 .
 Batteries included serves the following purposes:
  * define a standard set of libraries which may be expected on every
    compliant installation of OCaml
  * organize these libraries into a hierarchy of modules, with one
    source of documentation
  * define a standard set of language extensions which may be expected
    on every compliant installation of OCaml
  * provide a consistent API for otherwise independent libraries.
 .
 This package contains the documentation for batteries included: HTML
 API documentation, examples, and information about how to use
 batteries included in your programs.

Package: ocaml-batteries-included
Architecture: all
Depends:
 libbatteries-ocaml-dev,
 libbatteries-camlp4-dev,
 libbatteries-ocaml-doc,
 ${misc:Depends}
Description: Batteries included: OCaml development platform - metapackage
 Batteries included is a community-driven effort to standardize on an
 uniform, documented, and comprehensive OCaml development platform.
 .
 Batteries included serves the following purposes:
  * define a standard set of libraries which may be expected on every
    compliant installation of OCaml
  * organize these libraries into a hierarchy of modules, with one
    source of documentation
  * define a standard set of language extensions which may be expected
    on every compliant installation of OCaml
  * provide a consistent API for otherwise independent libraries.
 .
 This metapackage is provided for convenience, to install all of
 batteries included at once.
