=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 endif
 
 override_dh_auto_build:
-	make all
+	make DOCROOT=$(BATTERIES_DOCROOT) all
 ifneq (,$(findstring $(DOC_PKG),$(shell dh_listpackages)))
 	make doc
 endif
