=== debian/changelog ===
ocaml-batteries (2.0-1) unstable; urgency=low

  * Team upload
  * New upstream release
    - doc/ has been removed, remove patches accordingly
    - do not call git in clean rule
    - disable tests that use qtest (not packaged in Debian)
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Thu, 11 Jul 2013 10:53:15 +0200
