=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
  libounit-ocaml-dev,
  dh-ocaml (>= 0.9.5~)
 Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-batteries.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-batteries.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-batteries.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-batteries.git
 Homepage: http://batteries.forge.ocamlcore.org
 
 Package: libbatteries-ocaml-dev
