## ocaml-batteries 2.2

=== Makefile ===
--- 
+++ 
@@ -45,6 +45,7 @@
 BENCH_TARGETS += benchsuite/lines_of.native
 BENCH_TARGETS += benchsuite/bitset.native
 BENCH_TARGETS += benchsuite/bench_map.native
+BENCH_TARGETS += benchsuite/bench_nreplace.native
 TEST_TARGET = test-byte
 
 ifeq ($(BATTERIES_NATIVE_SHLIB), yes)
@@ -64,6 +65,10 @@
 endif
 endif
 
+PREPROCESSED_FILES = src/batMarshal.mli src/batUnix.mli src/batPervasives.mli \
+		     src/batInnerPervasives.ml src/batHashtbl.ml \
+		     src/batPrintexc.mli src/batSys.mli src/batBigarray.mli
+
 .PHONY: all clean doc install uninstall reinstall test qtest qtest-clean camfail camfailunk coverage man
 
 all: prefilter
@@ -74,7 +79,7 @@
 	@${RM} src/batteriesConfig.ml src/batUnix.mli batteries.odocl bench.log
 	@${RM} -r man/
 	@$(OCAMLBUILD) -clean
-	@git clean -xfd
+	@${RM} $(PREPROCESSED_FILES)
 	@echo " Cleaned up working copy" # Note: ocamlbuild eats the first char!
 
 batteries.odocl: src/batteries.mllib src/batteriesThread.mllib
@@ -114,7 +119,7 @@
 #	Pre-Processing of Source Code
 ###############################################################################
 
-prefilter: src/batUnix.mli src/batPervasives.mli src/batInnerPervasives.ml
+prefilter: $(PREPROCESSED_FILES)
 
 # Ocaml 4.00 can benefit strongly from some pre-processing to expose
 # slightly different interfaces
@@ -123,10 +128,10 @@
 # Look for lines starting with ##Vx##, and delete just the tag or the
 # whole line depending whether the x matches the ocaml major version
 .mliv.mli:
-	sed -e 's/^##V$(OCAML_MAJOR_VERSION)##//' -e '/^##V.##/d' $< > $@
+	ocaml str.cma build/prefilter.ml < $^ > $@
 
 .mlv.ml:
-	sed -e 's/^##V$(OCAML_MAJOR_VERSION)##//' -e '/^##V.##/d' $< > $@
+	ocaml str.cma build/prefilter.ml < $^ > $@
 
 ###############################################################################
 #	BUILDING AND RUNNING UNIT TESTS
@@ -136,7 +141,7 @@
 
 DONTTEST=src/batteriesHelp.ml
 TESTABLE ?= $(filter-out $(DONTTEST), $(wildcard src/*.ml))
-TESTDEPS = $(TESTABLE)
+TESTDEPS = prefilter $(TESTABLE)
 
 ### Test suite: "offline" unit tests
 ##############################################
@@ -180,14 +185,14 @@
 	@echo "" # newline after "OK"
 	@_build/$(QTESTDIR)/all_tests.byte
 
-test-native: test-byte _build/testsuite/main.native _build/$(QTESTDIR)/all_tests.native
+test-native: prefilter _build/testsuite/main.native _build/$(QTESTDIR)/all_tests.native
 	@_build/testsuite/main.native
 	@echo "" # newline after "OK"
 	@_build/$(QTESTDIR)/all_tests.native
 
 full-test: $(TEST_TARGET)
 
-test-compat: src/batteries_compattest.ml
+test-compat: prefilter src/batteries_compattest.ml
 	ocamlbuild src/batteries_compattest.byte -no-links
 
 test: test-byte test-compat
@@ -231,6 +236,6 @@
 ###############################################################################
 
 coverage/index.html: $(TESTDEPS) $(QTESTDIR)/all_tests.ml
-	$(OCAMLBUILD) coverage/index.html
+	$(OCAMLBUILD) -use-ocamlfind coverage/index.html
 
 coverage: coverage/index.html
