=== debian/changelog ===
ocaml-batteries (2.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 31 Jan 2014 10:11:54 +0100

ocaml-batteries (2.1-3) unstable; urgency=low

  * Team upload
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Thu, 05 Dec 2013 07:52:53 +0100

ocaml-batteries (2.1-2) experimental; urgency=low

  * Team upload
  * debian/patches:
    + Fix compilation with OCaml 4.01.0
    + Disable test-compat (broken with OCaml 4.01.0)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 16 Nov 2013 11:54:17 +0100

ocaml-batteries (2.1-1) experimental; urgency=low

  * Team upload
  * New upstream release
  * Compile with OCaml >= 4

 -- Stéphane Glondu <glondu@debian.org>  Thu, 25 Jul 2013 07:50:33 +0200
