=== debian/watch ===
version=3
http://forge.ocamlcore.org/frs/?group_id=17 \
    .*/batteries-([\d\.]*)\.tar\.gz
